发布时间 :2006-07-24 08:19:00
修订时间 :2011-03-07 21:39:26

[原文]Multiple SQL injection vulnerabilities in index.php in phpFaber TopSites 2.0.9 and earlier allow remote attackers to execute arbitrary SQL commands via the (1) i_cat or (2) method parameters.

[CNNVD]PHPFaber TopSites 'Index.PHP'多个SQL注入漏洞(CNNVD-200607-382)

        phpFaber TopSites 2.0.9及之前版本的index.php存在多个SQL注入漏洞,远程攻击者可以通过(1) i_cat 或 (2) method 参数来执行任意SQL命令。

- CVSS (基础分值)

CVSS分值: 7.5 [严重(HIGH)]
机密性影响: PARTIAL [很可能造成信息泄露]
完整性影响: PARTIAL [可能会导致系统文件被修改]
可用性影响: PARTIAL [可能会导致性能下降或中断资源访问]
攻击复杂度: LOW [漏洞利用没有访问限制 ]
攻击向量: [--]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)


- OVAL (用于检测的技术细节)


- 官方数据库链接
(官方数据源) MITRE
(官方数据源) NVD
(官方数据源) CNNVD

- 其它链接及资源
(UNKNOWN)  XF  phpfabertopsites-index-sql-injection(27879)
(UNKNOWN)  VUPEN  ADV-2006-2913
(UNKNOWN)  BID  19097
(UNKNOWN)  BUGTRAQ  20060720 [MajorSecurity #21] phpFaber TopSites <=2.0.9 - SQL Injection Vulnerability

- 漏洞信息

PHPFaber TopSites 'Index.PHP'多个SQL注入漏洞
高危 SQL注入
2006-07-24 00:00:00 2006-08-07 00:00:00
        phpFaber TopSites 2.0.9及之前版本的index.php存在多个SQL注入漏洞,远程攻击者可以通过(1) i_cat 或 (2) method 参数来执行任意SQL命令。

- 公告与补丁


- 漏洞信息

phpFaber TopSites index.php Multiple Parameter SQL Injection
Remote / Network Access Information Disclosure, Input Manipulation
Loss of Confidentiality, Loss of Integrity
Exploit Public

- 漏洞描述

phpFaber TopSites contains a flaw that may allow an attacker to carry out an SQL injection attack. The issue is due to the index.php script not properly sanitizing user-supplied input to the 'i_cat' and 'method' variables. This may allow an attacker to inject or manipulate SQL queries in the back-end database. Additionally, some parts of user input is echoed during SQL error output which may allow an attacker to conduct a cross-site scripting attack. This could allow a user to create a specially crafted URL that would execute arbitrary code in a user's browser within the trust relationship between the browser and the server, leading to a loss of integrity.

- 时间线

2006-07-20 Unknow
Unknow Unknow

- 解决方案

Currently, there are no known upgrades, patches, or workarounds available to correct this issue.

- 相关参考

- 漏洞作者